set term png
set out '5-17p.png'
set grid
set style data lines

# Y  C  G  M
# 7  5  2  4
# 2  8 14 20

#C2Cc=1.06;   
#Gy2Gyc=1.24;
#M2Mc=1.31;

#f(x) = -2.5*ln( x * 9.25E-6 ) / ln10
f(x) = -1.0857 * log( x * 9.25E-6 )

#V(x) = x<20? a1 + b1*x : a2 + c*(x-20)**2 +  d*(x-20)**3
#V(x) = a + b*x + c*x**2 +  d*x**3
#V(x) = a +  c*x**2 +  d*x**3 +  e*x**4
#V(x) = x<2? a : b +  c*(x-0.5)**2 +  d*(x-0.5)**3 
#V(x) = x<8? a1 + b1*x : a2 + c*(x-8)**2 +  d*(x-8)**3

S=121
V(x) = x<S? a1 + b1*x : a1 + b1*x + c*(x-S)**2 +  d*(x-S)**3

L=0.27

fit V(x) '17.rad' using ($1+1.5):($3/L) \
 via  a1, b1,  c, d


set title 'Luminance of snow, Brno Observatory'
set ylabel 'Luminance / 1 nt'
set xlabel '4Pixel distance from image center / 3'


plot [0:160] [0.3:1.1] \
'15.rad' using ($1+1.5):($3/L) title '15', \
'16.rad' using ($1+1.5):($3/L) title '16',  \
'17.rad' using ($1+1.5):($3/L) title '17', V(x)

